Bug 538503 - MLS selinux-policy: setkey executed from initrc_t from if{up,down}-ipsec fails to set policies
MLS selinux-policy: setkey executed from initrc_t from if{up,down}-ipsec fail...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
: Regression, ZStream
Depends On: 515687
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 12:44 EST by RHEL Product and Program Management
Modified: 2010-01-07 04:02 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 04:02:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2009-11-18 12:44:19 EST
This bug has been copied from bug #515687 and has been proposed
to be backported to 5.4 z-stream (EUS).
Comment 4 Miroslav Grepl 2009-12-02 13:01:30 EST
Fixed in selinux-policy-2.4.6-255.el5_4.2.noarch
Comment 6 Eduard Benes 2009-12-10 11:24:28 EST
Following denial still blocks the expected functionality, and is shown only
after
rebuild with "semodule -DB":

#============= setkey_t ==============
allow setkey_t sysadm_tmp_t:file { read getattr };


After adding custom policy module as follows make it work again:

# cat my.te 
policy_module(mypol,1.0.0)
require{
 type setkey_t; 
 type sysadm_tmp_t; 

}
allow setkey_t sysadm_tmp_t:file { read getattr };
# make -f /usr/share/selinux/devel/Makefile
Comment 7 Eduard Benes 2009-12-11 09:22:26 EST
Everything seems to work if I use this:

# cat my.if my.te -n
     1	interface(`userdom_read_sysadm_tmp_files',`
     2	  gen_require(`
     3	    type sysadm_tmp_t;
     4	  ')
     5	  allow $1 sysadm_tmp_t:file { read getattr };
     6	')
     7	

     8	policy_module(mysetkey,1.0.0)
     9	
    10	gen_require(`
    11	  type setkey_t;
    12	')
    13	
    14	userdom_read_sysadm_tmp_files(setkey_t);
Comment 8 Miroslav Grepl 2009-12-16 06:53:22 EST
Fixed in selinux-policy-2.4.6-255.el5_4.3.noarch
Comment 11 errata-xmlrpc 2010-01-07 04:02:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0013.html

Note You need to log in before you can comment on or make changes to this bug.